# パッチケーブルのご注文 ![](https://docs.equinix.com/ja/assets/images/OrderPatchCableInstallation-289ea089add22752d178a0c30fe2ee6f.png) ## 前提条件[​](#前提条件 "への直接リンク前提条件") 1. 認証-ユーザー認証情報、クライアントID、クライアントシークレットを送信してOauth2認証を行います。認証情報を検証および認証するためにOAuth APIを呼び出す方法については、「[API認証」を](https://docs.equinix.com/ja/equinix-api/api-authentication.md)参照してください。 2. Cross Connectのシリアル番号を取得する-エンドポイントにリクエストを[`/v1/assets/search`](https://docs.equinix.com/ja/api-catalog/assetsv1/assets/searchassets.md)送信して、`POST`正しいCross Connectシリアル番号を検索します。シリアル番号が既にある場合は、この手順をスキップしても構いません。 Cross Connectのシリアル番号が見つからない場合は、シリアル番号としてを使用してください。`"Serial # Not Found"` 3. Smart Handsの詳細を取得するには、発注権限が必要です。`Smart Hands` 4. Get Smart Hands Types -エンドポイントにリクエストを[`/v1/orders/smarthands/types`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)送信して、`GET`すべてのSmart Handsオーダータイプを取得します。Smart Handsのオーダータイプがすでにわかっている場合は、この手順をスキップできます。 5. ロケーション情報の取得-エンドポイントにリクエストを[`/v1/orders/smarthands/locations`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/getlocation.md)送信して、`GET`アクセス可能なIBXロケーションを取得します。ロケーション情報がすでにわかっている場合は、この手順をスキップしても構いません。 ## パッチケーブルのインストールを注文[​](#パッチケーブルのインストールを注文 "への直接リンクパッチケーブルのインストールを注文") Equinix IBX技術者によるパッチケーブルの設置を発注するには、エンドポイントにリクエストを[`/smarthands/patchCableInstall`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandpatchcableinstallorder.md)送信してください。`POST`リクエストの本文でインストール手順を指定してください。 > **メモ** > > アタッチメント付きのオーダーを作成する前に、エンドポイントに電話してください。[`Attachments File`](https://docs.equinix.com/ja/api-catalog/attachmentsv1/attachments/createattachment.md) ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/patchCableInstall" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "crossConnects": [       {         "serialNumber": "123456789",         "deviceCabinet": "501",         "deviceConnectorType": "FC",         "deviceDetails": "Router1",         "devicePort": "Next Available",         "scopeOfWork": "Refer to attachment for further instruction.",         "lightLinkVerification": true,         "needSupportFromASubmarineCableStationEngineer": true       }     ]   },   "attachments": [     {       "id": "fcb4a673-6308-456e-8f83-f745501d60ba",       "name": "PatchCabelInstallationInstruction.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "janesmith"     }   ] }' ``` 本文のパラメータと説明の完全なリストについては、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandpatchcableinstallorder.md)参照してください。 回答例 ``` {   "OrderNumber": "1-457809872838" } ``` 応答は注文が成功したことを示し、注文番号を返します。